# Uses of Class
java.awt.PrintJob

Packages that use PrintJob
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of PrintJob in java.awt

Methods in java.awt that return PrintJob
Modifier and Type
Method
Description
`PrintJob`
PrintGraphics.`getPrintJob()`
Returns the PrintJob object from which this PrintGraphics object originated.
`PrintJob`
Toolkit.`getPrintJob​(Frame frame, String jobtitle, JobAttributes jobAttributes, PageAttributes pageAttributes)`
Gets a `PrintJob` object which is the result of initiating a print operation on the toolkit's platform.
`abstract PrintJob`
Toolkit.`getPrintJob​(Frame frame, String jobtitle, Properties props)`
Gets a `PrintJob` object which is the result of initiating a print operation on the toolkit's platform.